Subject: Re: [PATCH v2 0/3] crypto: Introduce ARIA symmetric cipher algorithm

From: Eric Biggers <[email-masked]>
Date: Sat, 9 Jul 2022 15:32:20 -0700

On Mon, Jul 04, 2022 at 09:42:47AM +0000, Taehee Yoo wrote:
> This patchset adds a new ARIA(RFC 5794) symmetric cipher algorithm.
> 
> Like SEED, the ARIA is a standard cipher algorithm in South Korea.
> Especially Government and Banking industry have been using this algorithm.
> So the implementation of ARIA will be useful for them and network vendors.
> 
> Usecases of this algorithm are TLS[1], and IPSec.

Is this actually going to be used in the real world, or is this just a PhD
thesis sort of thing?  There are already way too many random crypto algorithms
that are supported in the kernel, and many have been removed due to lack of
users -- implying that they should never have been accepted in the first place.

- Eric